<?php

// src/Controller/DataImport.php
// Grab data from transfer app

namespace App\Controller\Routes\Front;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use App\Service\Auth;
use App\Service\Render;

class Index extends AbstractController
{
    /**
     * @Route("/", name="index")
     */
    public function showIndex(Request $request, Auth $auth, Render $render): Response
    {
        $check = $auth->status();

        return $render->page([], "This is The Bad Space", "front/index.twig");
    }

    /**
     * @Route("/knockknock", name="access")
     */
    public function access(Request $request): Response
    {
        return $this->render("front/knock.twig", [
            "title" => "Wipe Your feet",
        ]);
    }
}
